// DynamicDrawView.h : CFCDynamicDrawView _xZkqqHx_iDeOiDiJiDfIiCmMjAoJiMlOiCkIiCoGiCnBiDeDiDjDiDfOiBfLiDhEiDeGiDeDiDfIiCmMjCoIiLgAiCpAiClFiCnMiClHiBeC_xHqqkZx_
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOLIPDRAWVIEW_H__0F2570EE_A510_11D2_AC0E_00C0F6B0E2D0__INCLUDED_)
#define AFX_MOLIPDRAWVIEW_H__0F2570EE_A510_11D2_AC0E_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//;----- <EXPORT TO SDK> -----;
#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CView

class FCToolBase;
class FCObjDynabase;
class CFCFoundDoc;
class CFCWndRichEdit;
//;------ </EXPORT TO SDK> -----;

// 06.10.04 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
#include "UtilFont.h"		// For FCFontCharInfo.

//----- 03.07.07 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//class FCViewWrp;
//#include "../MolipSDK/FCViewExp.h"	// Superclass.
//----- 03.07.07 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

//----- 05.05.09 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//// 05.04.12 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
//typedef BOOL (*FuncForAllObject) (FCObjDynabase* pObj, DWORD data);
//----- 05.05.09 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

class CFCDynamicDrawView : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

protected: // _xZkqqHx_iDfGiDiKiDeBiDiJiDeDiDfJiLeAjEfMiCmMiCnNiCkJiCoHiNoMjAkMiClFiCnMiClHiBeC_xHqqkZx_
	CFCDynamicDrawView ();
	DECLARE_DYNCREATE(CFCDynamicDrawView)

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
	//----- _xZkqqHx_iPiJiKpKiJlLiBeFiPeJjHlJiPiIjHjN_xHqqkZx_ -----
	virtual void	InitContents ();	// Document::InitContents_xZkqqHx_iCkJiCoHiOmAiNhDiBeC_xHqqkZx_
	virtual void	DeleteContents ();	// Document::DeleteContents_xZkqqHx_iCkJiCoHiOmAiNhDiBeC_xHqqkZx_
	virtual BOOL	OnCloseDocument ();	// Document::OnCloseDocument_xZkqqHx_iOjOiCmJ_xHqqkZx_CFoundDoc_xZkqqHx_iCkJiCoHiOmAiNhDiBeC_xHqqkZx_
	virtual void	OnActivateApp (BOOL bActive, HTASK hTask);
										// _xZkqqHx_iDeBiDhGiDiKjAnIiCoIjBnGiCkGiOjOiCmJ_xHqqkZx_CFCMainFrame_xZkqqHx_iCkJiCoHiOmAiNhDiBeC_xHqqkZx_
	//----- _xZkqqHx_iDhAiDiMiDgCiDgHiKnGjAjE_xHqqkZx_ -----
	virtual DWORD	InitPalette ();

	//----- _xZkqqHx_iDfIiDgHiDiKiBfLiDiAiKnGjAjE_xHqqkZx_ -----
	virtual void	PrepareStreamIn ();

	//----- _xZkqqHx_jFjEjFgJjBeJjBpAiKnGiMfH_xHqqkZx_ -----
	virtual void	AppendSelectObj (FCObjDynabase* pObj, BOOL bDrawMark);
	virtual void	AppendSelectObj (FCObjDynabase* pObj, CDC* pDC = NULL);
	virtual void	AppendSelectObj (const ObjDynabaseVector& vObj, BOOL bDrawMark);
	virtual void	AppendSelectObj (const ObjDynabaseVector& vObj, CDC* pDC = NULL);
	virtual void	AppendSelectObj (const DWORDVector& vObjID, CDC* pDC = NULL);
	virtual void	AppendSelectObj (const DWORDSet& stObjID, BOOL bDrawMark);
	virtual void	AppendSelectObj (const DWORDSet& stObjID, CDC* pDC = NULL);
	virtual void	RemoveSelectObj (FCObjDynabase* pObj, BOOL bDrawMark);
	virtual void	RemoveSelectObj (FCObjDynabase* pObj, CDC* pDC = NULL);
	virtual void	RemoveSelectObj (const ObjDynabaseVector& vObj, CDC* pDC = NULL);
	virtual void	ClearSelectObj (BOOL bDrawMark);
	virtual void	ClearSelectObj (CDC* pDC = NULL);
	virtual BOOL	IsSelectObj (FCObjDynabase* pObj) const;
	virtual const ObjDynabaseVector& SelectObjVector () const;
						// _xZkqqHx_jBeJjBpAjFjEjFgJiCmMiPfHiNiHiCpAjFnEiClHiBeC_xHqqkZx_
	virtual FCObjDynabase*	GetLastSelectObj ();	// _xZkqqHx_iNmFiMoDiCmJjBeJjBpAiClDiCoKiClNjFjEjFgJiBeC_xHqqkZx_
	virtual void	SetLastSelectObj (FCObjDynabase* pObj);	// _xZkqqHx_iNmFiMoDiCmJjBeJjBpAiClDiCoKiClNjFjEjFgJiBeC_xHqqkZx_
	virtual void	GetSelectObjectId (DWORDSet& stObjId) const;

	//----- _xZkqqHx_iDgFiDeMiDfIiDgHjBeJjBpAiKnGiMfH_xHqqkZx_ -----
//----- 06.03.02 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	virtual void	GetTextSelectedObjectId (DWORDSet& stObjId) const;
	virtual void	GetTextSelection (longRangeVector& vCharSelectRange, DWORD dwObjId) const;
	virtual void	AppendTextSelection (DWORD dwObjId, DWORD lSelBegin, DWORD lSelEnd);
	virtual void	ClearTextSelection (DWORD dwObjId);
//----- 06.03.02 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----

	//----- _xZkqqHx_iMmFjHeMiDiKiBfLiDfHiDiHiDjDiKnGiMfH_xHqqkZx_ -----
	virtual void	AddRgn (const CRect& lgrtClip);
	virtual void	AddRgn (const DBLRect& mmrtClip);
	virtual void	AddRgn (const FCObjDynabase* pObj);
	virtual void	AddPrintRgn (const DBLRect& mmrtClip);
	virtual void	AddEmptyRgn ();
	virtual void	AppendToLastRgn (const CRect& lgrtClip);
	virtual void	AppendToLastRgn (const DBLRect& mmrtClip);
	virtual void	AppendToLastRgn (const FCObjDynabase* pObj);
	virtual void	AppendToLastRgn (const ObjDynabaseVector& vObj);
// 05.05.08 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	virtual void	AppendToLastRgn (const ObjDynabaseSet& stObj);
	virtual void	SetClientToRgn ();
	virtual void	ClearRgn ();
	virtual BOOL	IsRgnOverlap (const DBLRect& mmrt) const;
	virtual void	SendRgnRedraw (BOOL bSetClientToRgn = FALSE);
	virtual void	PostRgnRedraw (BOOL bSetClientToRgn = FALSE);
	virtual void	MoveRgn (const DBLPoint& mmptOffset);

	virtual const DBLRectVector& DBLRgnVector () const;
						// _xZkqqHx_iMmFjHeMiDiKiBfLiDfHiDiHiDjDiCmMiPfHiNiHiCpAjFnEiClHiBeC_xHqqkZx_DBLRect_xZkqqHx_iBeCiOmAiNmAjFfHiMgOiBeC_xHqqkZx_
	virtual const DBLRect& GetRgnRect () const;
						// _xZkqqHx_iMmFjHeMiDiKiBfLiDfHiDiHiDjDiCmMiPfHiNiHiCmMiKePjBkEiCmMiDhEiDiMiBfLiDiAiCpAjFnEiClHiBeC_xHqqkZx_

	virtual void	TransRgnToValidate ();

	//----- _xZkqqHx_iNmAjFfHiMgOiKnGiMfH_xHqqkZx_ -----
	virtual void	GetClientRectLG (CRect& lgrt) const;
						// _xZkqqHx_iJoGjGmKiCmMjFgAiJoGjHmMiIoGiCpAjIfPjHjNiNmAjFfHiMgOiCmFjFnEiClHiBeC_xHqqkZx_
	virtual void	GetClientRectMM (DBLRect& mmrt) const;
						// _xZkqqHx_iJoGjGmKiCmMjFgAiJoGjHmMiIoGiCpAiOmAiNmAjFfHiMgOiCmFjFnEiClHiBeC_xHqqkZx_
	virtual void	LPtoDP (CPoint& lgpt, CDC* pDC = NULL) const;
	virtual void	LPtoDP (CRect& lgrt, CDC* pDC = NULL) const;
	virtual void	LPtoDP (LPPOINT lpPoints, long lCount, CDC* pDC = NULL) const;
	virtual void	DPtoLP (CPoint& dvpt, CDC* pDC = NULL) const;
	virtual void	DPtoLP (CRect& dvrt, CDC* pDC = NULL) const;
//----- 05.03.02 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	virtual void	SnapMP (mmetol& mmX, mmetol& mmY, double alpha = 1.0) const;
//						// Snap_xZkqqHx_iCkKjHeMiMpIiCmMiOjOiCmNjHfOiCkGiCoHiCoKiClNiNmAjFfHiCpAjFmPiKlHiClHiCoJiBeCiOmAiNmAjFfHiBeC_xHqqkZx_
//	virtual void	SnapMP (DBLPoint& mmpt) const;
//						// Snap_xZkqqHx_iCkKjHeMiMpIiCmMiOjOiCmNjHfOiCkGiCoHiCoKiClNiNmAjFfHiCpAjFmPiKlHiClHiCoJiBeCiOmAiNmAjFfHiBeC_xHqqkZx_
//	virtual void	LimitMP (DBLPoint& mmptMov, UINT nFlags, const DBLPoint& mmptFix,
//						const DBLLine mmlnAry[], int iArySz) const;
//						// Ctrl&Shift_xZkqqHx_iDeMiBfLiCmFiNmAjFfHiCpAjFmPiKlHiClHiCoJiBeCiOmAiNmAjFfHiBeC_xHqqkZx_
//----- 05.03.02 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 03.07.14 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	virtual void	SetScreenViewRect (const CRect& scrtView);
//						// _xZkqqHx_iClBiCmMiDeFiDeCiDjDiDgIiDeFiCmMjHmMiIoG_xHqqkZx_(_xZkqqHx_iDfIiDeOiDiKiBfLiDjDiNmAjFfH_xHqqkZx_)_xZkqqHx_iCpAjAnNjCoIiBeC_xHqqkZx_
//----- 03.07.14 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
	virtual BOOL	SetToolTimer (BOOL bIsOn, DWORD dwElapse = 250);
	virtual const DBLPoint& GetLastPoint () const;
						// _xZkqqHx_iNmFiMoDiCmMiDhNiDeFiDfIiDeOiDiKiDgCiDeOiNmAjFfHiCpAiOoGjDlOiBeC_xHqqkZx_
	virtual void	SetLastPoint (const DBLPoint& mmpt);
						// _xZkqqHx_iNmFiMoDiCmMiDhNiDeFiDfIiDeOiDiKiDgCiDeOiNmAjFfHiCpAjAnNjCoIiBeC_xHqqkZx_

	//----- Scroll_xZkqqHx_iKnGiMfH_xHqqkZx_ -----
	virtual void	UpdateScrollSize ();
						// ScrollBar&Scale_xZkqqHx_iCpAiNfIjAfGiClHiCoJiBeC_xHqqkZx_
// 05.08.02 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	virtual BOOL	ScrollToObject (const DWORDSet& stObjId);
	virtual void	SetScrollCenter (const DBLPoint& mmpt,
									 SheetID scid = FD_SHEET_UNSPECIFY,
									 long lZoom256 = -1,
									 BOOL bRedraw = TRUE);
						// _xZkqqHx_iOhHjCoIiClDiCoKiClNiImKjChFiCkKjCiGjAfDiCmJiCmIiCoJiCoGiCkEiDfIiDeOiDiNiBfLiDiLiClHiCoJiBeC_xHqqkZx_
	virtual CPoint	GetScrollPosition () const;
						// _xZkqqHx_iDfIiDeOiDiNiBfLiDiLiImKjChFiCpAjFnEiClHiBeC_xHqqkZx_
	virtual void	ScrollToPosition (CPoint point);
						// _xZkqqHx_iOhHjCoIiPoKiPiKiCnMiCmFiDfIiDeOiDiNiBfLiDiLiClHiCoJiBeC_xHqqkZx_
	virtual void	SetAutoScroll (BOOL bAuto);
						// _xZkqqHx_iOkJjDkOiDfIiDeOiDiNiBfLiDiLiCmM_xHqqkZx_On/Off_xZkqqHx_jAnNjCoIiBeC_xHqqkZx_

	virtual void	SetIsProhibitWheel (BOOL bProhibit);
						// _xZkqqHx_iDhNiDeFiDfIiDhKiDeDiBfLiDiLiCpAiLnGiOhOiClHiCoJiBeI_xHqqkZx_
	virtual BOOL	GetIsProhibitWheel () const;
						// _xZkqqHx_iDhNiDeFiDfIiDhKiDeDiBfLiDiLiCpAiLnGiOhOiClHiCoJiBeI_xHqqkZx_

	//----- _xZkqqHx_iDgDiBfLiDiLiKnGiMfH_xHqqkZx_ -----
	virtual FCToolBase*	GetCurrentTool () const;
// 06.12.26 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	virtual void	SwitchCurrentTool (long lToolId, BOOL bDoImmediate);

	//----- _xZkqqHx_iDiJiDhIiDiLjFjEjFgJiKnGiMfH_xHqqkZx_ -----
	virtual void	UpdateShowObjLabel (BOOL bRgnRedraw = TRUE);

//----- 05.04.13 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	virtual BOOL	IsUsedSColor (SColorID val) const;
//	virtual BOOL	IsUsedEmfImage (EmfImageID val) const;
//	virtual BOOL	IsUsedBrushRegister (BrushRegisterID val) const;
//	virtual BOOL	IsUsedPenRegister (PenRegisterID val) const;
//	virtual BOOL	IsUsedPenStyle (PenStyleID val) const;
//	virtual BOOL	IsUsedSFont (SFontID val) const;
//	virtual BOOL	IsUsedPictArrow (PictArrowID val) const;
//----- 05.04.13 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

//----- 05.04.13 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//// 05.04.12 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
//	virtual void	PictArrowFrameModified (PictArrowID paid);
//----- 05.04.13 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
// 05.04.12 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	virtual BOOL	CallForAllObject (FuncForAllObject func, void* data) const;

	// _xZkqqHx_iDgFiDeMiDfIiDgHiDeHiDgGiDeCiDfOiOoGjDlOiBeC_xHqqkZx_
	virtual CFCWndRichEdit*	GetRTFEditor () const;
	virtual const MSG*		GetCurrentMessage () const;

	//----- _xZkqqHx_iDgDiBfLiDiLiKnGiMfH_xHqqkZx_ -----

	//----- _xZkqqHx_iDiMiDeDiDiEiBfLiKnGiMfH_xHqqkZx_ -----
	virtual BOOL	CanEditSelectObject () const;

	//----- _xZkqqHx_iDgFiDeMiDfIiDgHiMjPiNpFiKnGiMfH_xHqqkZx_ -----

//----- 06.10.04 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	virtual const wchar_t*	GetCurrentTextBothFontName () const;
	virtual mmetol	GetCurrentTextBothFontSize () const;
	virtual WORD	GetCurrentTextBothFontWeight () const;
	virtual BOOL	GetIsCurrentTextBothFontItalic () const;
	virtual BOOL	GetIsCurrentTextBothFontUnderline () const;
	virtual COLORREF GetCurrentTextBothFontColor () const;
	virtual void	SetCurrentTextBothFontName (const wchar_t* wcpFontName);
	virtual void	SetCurrentTextBothFontSize (mmetol mmFontSize);
	virtual void	SetCurrentTextBothFontWeight (WORD wWeight);
	virtual void	SetIsCurrentTextBothFontItalic (BOOL bIsItalic);
	virtual void	SetIsCurrentTextBothFontUnderline (BOOL bIsUnderline);
	virtual void	SetCurrentTextBothFontColor (COLORREF colorRef);
//----- 06.10.04 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----

protected:
	//----- _xZkqqHx_iPiJiKpKiJlLiBeFiPeJjHlJiPiIjHjN_xHqqkZx_ -----
	virtual void	Terminate ();

	//----- _xZkqqHx_jFjEjFgJjBeJjBpAiKnGiMfHiDfEiDhFiKnGjAjE_xHqqkZx_ -----
	virtual void	CheckSelectObjLayer (const FCObjDynabase* pObj = NULL);
	virtual void	AppendSelectOneObj (FCObjDynabase* pObj, CDC* pDC = NULL);
	virtual void	RemoveSelectOneObj (FCObjDynabase* pObj, CDC* pDC = NULL);

	virtual void	ScrollTo (long lgX, long lgY, BOOL bRedrawNow = TRUE);
	virtual void	DrawBack (CDC* pDC) const;	// _xZkqqHx_jEhHiMgJjFgAiJoGiBeC_xHqqkZx_
	virtual void	DrawGrid (CDC* pDC) const;	// _xZkqqHx_iDePiDiKiDgCiDgIjFgAiJoGiBeC_xHqqkZx_
	virtual void	DrawPageLine (CDC* pDC) const;	// _xZkqqHx_iDhJiBfLiDfHiLkLiKeFjFgAiJoGiBeC_xHqqkZx_

	virtual long	GetAnyEditToolIndex () const;
	virtual void	OnUpdateAnyEditTool (CCmdUI* pCmdUI);

//----- 06.10.04 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
protected:
	//----- _xZkqqHx_iDhEiDeIiDjDiDgHiKnGiMfH_xHqqkZx_ -----
	virtual void	CheckSelectFontInfo ();
//----- 06.10.04 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----

	//----- _xZkqqHx_iDePiDiNiBfLiDgPiDiLjFmPjAjEiPiJiKpKiJlLiKnGjAjE_xHqqkZx_ -----
	static void		InitGlobal (CFCDynamicDrawView* pView);
	static void		TerminateGlobal ();

protected:
	long				m_lDrawTool;		// _xZkqqHx_iMlLiNnNiCmMiDgDiBfLiDiLiCmMiDeDiDjDiDgGiDgCiDeOiDfIiBeC_xHqqkZx_
	CRect				m_scrtView;			// _xZkqqHx_iDhCiDiFiBfLiCmMiDfIiDeOiDiKiBfLiDjDiNmAjFfHiBeC_xHqqkZx_
	DBLPoint			m_mmptLast;			// Zoom_xZkqqHx_jHhAiCmJiDhNiDeFiDfIiDeOiDiKiDgCiDeOiNmAjFfHiCpAiLeMiJkPiBeC_xHqqkZx_
	ObjDynabaseVector	m_vSelectObj;		// _xZkqqHx_jBeJjBpAjCiGiCmMjFjEjFgJiPfHiNiHiBeC_xHqqkZx_
	FCObjDynabase*		m_pLastSelectObj;	// _xZkqqHx_iNmFiMoDiCmJjBeJjBpAiClDiCoKiClNjFjEjFgJiBeCjAkOjHpBiCmMiKoOiPiAiCmJiOgHiCkEiBeC_xHqqkZx_

	map<DWORD, longRangeVector>	m_mpObjIdToCharSelect;
											// ID->_xZkqqHx_jFlGiOjKjBeJjBpAiDgFiBfLiDhFiDiLiBeC_xHqqkZx_

	BOOL				m_bIsToolTimer;		// _xZkqqHx_iDgDiBfLiDiLiDfOiDeDiDhNiBfLiCkKjHeMiMpIiCkJiBeI_xHqqkZx_
	BOOL				m_bIsScrollTimer;	// _xZkqqHx_iDfIiDeOiDiNiBfLiDiLiCmMiDfOiDeDiDhNiBfLiCkKjHeMiMpIiCkJiBeI_xHqqkZx_

	DBLRectVector		m_vmmrtRgn;			// _xZkqqHx_iMmFjHeMiDiKiBfLiDfHiDiHiDjDiBeCiOmAiNmAjFfHiMgOiBeC_xHqqkZx_
	DBLRect				m_mmrtRgn;			// _xZkqqHx_iMmFjHeMiDiKiBfLiDfHiDiHiDjDiPfHiNiHiCmMiKePjAnKiDhEiDiMiBfLiDiAiBeC_xHqqkZx_

	CFCWndRichEdit*		m_pWndRichEdit;		// _xZkqqHx_iDgFiDeMiDfIiDgHiDeHiDgGiDeCiDfOiBeC_xHqqkZx_

	//----- Scroll_xZkqqHx_iKnGiMfH_xHqqkZx_ -----
	BOOL	m_bAutoScroll;
	BOOL	m_bIsProhibitWheel;				// _xZkqqHx_iDhNiDeFiDfIiDhKiDeDiBfLiDiLiCpAiLnGiOhOiBeI_xHqqkZx_

	//----- Scroll_xZkqqHx_jHmKiCmGiOmAiNnLiCmMiDeJiDhEiDfKiDgCiDgHjCgMiCmMjEoE_xHqqkZx_ -----
	double	m_dScrollRatioX;
	double	m_dScrollRatioY;

	WORD	m_wSelObjLayerFlag;				// _xZkqqHx_iDiMiDeDiDiEiBfLiDeBiDeOiDfKiDfIiDhEiDiJiDePiCmMiNfIjAfGiBeC_xHqqkZx_

// 06.10.04 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	FCFontCharInfo	m_fciSelFontInfo;		// _xZkqqHx_iMlLiNnNiCmMiLkEjCmKiDhEiDeIiDjDiDgHiPoOjFpBiBeC_xHqqkZx_

	static long		s_lGlobalCounter;			// _xZkqqHx_iDePiDiNiBfLiDgPiDiLjFmPjAjEiPiJiKpKiJlLjHhAiDeKiDeFiDjDiDfOiBeC_xHqqkZx_

// _xZkqqHx_iDeBiDgHiDiKiDhCiDiFiBfLiDgH_xHqqkZx_
public:
	//  m_pSelection _xZkqqHx_iCmNiMlLiNnNiCmM_xHqqkZx_ CMolipDrawCntrItem4_0 _xZkqqHx_iCmJjBmOiClHiCoJjBeJjBpAiCpAjFnLiOjNiClFiCmEiCkCiCnMiClHiBeC_xHqqkZx_
	// _xZkqqHx_jBlNiCkNiCmMiDeBiDhGiDiKiDfAiBfLiDfGiDiHiDjDiCmFiClBiCmMiCoGiCkEiCmIiDiBiDjDiDgPjFmPjAjEiCmNiBeBjFkBjAjEiCmMjBeJjBpAiCoC_xHqqkZx_ CMolipDrawCntrItem4_0
	// _xZkqqHx_iDeJiDhFiDfHiDeGiDeOiDgHiCmFiCmNiCmIiCkCiDeJiDhFiDfHiDeGiDeOiDgHiCmMjBeJjBpAiCpAiPfMjFkKiCmJjFfMiMlLiCmFiCkLiCnMiClJiCpBiBeC_xHqqkZx_
	// _xZkqqHx_iClBiCmMiLeAiNfMiCmNjBeJjBpAiLeAjEfMiCpAiJjOjHhAiClFiCoGiCkEiCmGiClHiCoJiDhGiDiNiDePiDiJiDhNiCmMjHjNiJpAiCpAiPjFiCkPiCoJiClN_xHqqkZx_
	// _xZkqqHx_iCnPiCmJjBgHiCnNiNjOiCnMiCoKiCmEiCkCiCnMiClHiBeC_xHqqkZx_

// _xZkqqHx_iDeJiDhJiDiMiBfLiDfGiDiHiDjD_xHqqkZx_
public:

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDynamicDrawView)
	public:
	virtual void OnDraw (CDC* pDC);  // _xZkqqHx_iClBiCmMiDhCiDiFiBfLiCpAjFgAiJoGiClHiCoJiNnLiCmJiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClDiCoKiCnMiClHiBeC_xHqqkZx_
	virtual BOOL PreCreateWindow (CREATESTRUCT& cs);
	virtual void OnPrepareDC (CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnInitialUpdate (); // _xZkqqHx_iNfMjChKiMoDiCmMiNmFiPiJiCmMiCfAjDhIiClOiCkPiMmEiCnBiPgPiClDiCoKiCnMiClHiBeC_xHqqkZx_
	virtual BOOL OnPreparePrinting (CPrintInfo* pInfo);
	virtual void OnBeginPrinting (CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting (CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL IsSelected (const CObject* pDocItem) const;// _xZkqqHx_iDfCiDjDiDgFiDgJ_xHqqkZx_ _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	virtual void OnActivateView (BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	virtual void OnPrint (CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrintPreview (CDC* pDC, CPrintInfo* pInfo, POINT point, CPreviewView* pView);
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
public:
	virtual ~CFCDynamicDrawView ();

//;----- <start restrict> -----;

#ifdef _DEBUG
	virtual void AssertValid () const;
	virtual void Dump (CDumpContext& dc) const;
#endif

//;------ <end restrict> -----;

// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
protected:
	//{{AFX_MSG(CFCDynamicDrawView)
	afx_msg void OnInsertObject();
	afx_msg void OnCancelEditCntr();
	afx_msg void OnCancelEditSrvr();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnObjectProperties();
	afx_msg void OnUpdateObjectProperties(CCmdUI* pCmdUI);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnFormatFont();
	afx_msg void OnEditDelete();
	afx_msg void OnUpdateEditDelete(CCmdUI* pCmdUI);
	afx_msg void OnObjectConnect();
	afx_msg void OnUpdateObjectConnect(CCmdUI* pCmdUI);
	afx_msg void OnOptionGridSnapSetup();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnViewZoomout();
	afx_msg void OnViewZoomin();
	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	afx_msg void OnObjectGroup();
	afx_msg void OnUpdateObjectGroup(CCmdUI* pCmdUI);
	afx_msg void OnObjectUngroup();
	afx_msg void OnUpdateObjectUngroup(CCmdUI* pCmdUI);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFormatFont(CCmdUI* pCmdUI);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnGraphicsShadowLength();
	afx_msg void OnObjectPutRtfObj();
	afx_msg void OnUpdateObjectPutRtfObj(CCmdUI* pCmdUI);
	afx_msg void OnTextStopEdit();
	afx_msg void OnUpdateTextStopEdit(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewZoomin(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewZoomout(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFilePrint(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFilePrintPreview(CCmdUI* pCmdUI);
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnEditRedo();
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	afx_msg void OnEditCut();
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	afx_msg void OnObjectFrontObj();
	afx_msg void OnUpdateObjectFrontObj(CCmdUI* pCmdUI);
	afx_msg void OnObjectBackObj();
	afx_msg void OnUpdateObjectBackObj(CCmdUI* pCmdUI);
	afx_msg void OnObjectMostFrontObj();
	afx_msg void OnUpdateObjectMostFrontObj(CCmdUI* pCmdUI);
	afx_msg void OnObjectMostBackObj();
	afx_msg void OnUpdateObjectMostBackObj(CCmdUI* pCmdUI);
	afx_msg void OnObjectInsertJoint();
	afx_msg void OnUpdateObjectInsertJoint(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignVLeft();
	afx_msg void OnUpdateObjectAlignVLeft(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignVCenter();
	afx_msg void OnUpdateObjectAlignVCenter(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignVRight();
	afx_msg void OnUpdateObjectAlignVRight(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameGapV();
	afx_msg void OnUpdateObjectSameGapV(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameGapH();
	afx_msg void OnUpdateObjectSameGapH(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameDistV();
	afx_msg void OnUpdateObjectSameDistV(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameDistH();
	afx_msg void OnUpdateObjectSameDistH(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameSizeX();
	afx_msg void OnUpdateObjectSameSizeX(CCmdUI* pCmdUI);
	afx_msg void OnObjectSameSizeY();
	afx_msg void OnUpdateObjectSameSizeY(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignHTop();
	afx_msg void OnUpdateObjectAlignHTop(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignHCenter();
	afx_msg void OnUpdateObjectAlignHCenter(CCmdUI* pCmdUI);
	afx_msg void OnObjectAlignHBottom();
	afx_msg void OnUpdateObjectAlignHBottom(CCmdUI* pCmdUI);
	afx_msg void OnEditSelectAll();
	afx_msg void OnUpdateEditSelectAll(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignLeft();
	afx_msg void OnUpdateTextAlignLeft(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignCenter();
	afx_msg void OnUpdateTextAlignCenter(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignRight();
	afx_msg void OnUpdateTextAlignRight(CCmdUI* pCmdUI);
	afx_msg void OnObjectDisconnect();
	afx_msg void OnUpdateObjectDisconnect(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOleInsertNew(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGraphicsShadowLength(CCmdUI* pCmdUI);
	afx_msg void OnGraphicsEditColorTable();
	afx_msg void OnUpdateGraphicsEditColorTable(CCmdUI* pCmdUI);
	afx_msg void OnGraphicsEditRegpenTable();
	afx_msg void OnUpdateGraphicsEditRegpenTable(CCmdUI* pCmdUI);
	afx_msg void OnGraphicsEditRegbrushTable();
	afx_msg void OnUpdateGraphicsEditRegbrushTable(CCmdUI* pCmdUI);
	afx_msg void OnTextLine();
	afx_msg void OnUpdateTextLine(CCmdUI* pCmdUI);
	afx_msg void OnTextMargin();
	afx_msg void OnUpdateTextMargin(CCmdUI* pCmdUI);
	afx_msg void OnGraphicsEditPictureTable();
	afx_msg void OnUpdateGraphicsEditPictureTable(CCmdUI* pCmdUI);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnTextAlignTop();
	afx_msg void OnUpdateTextAlignTop(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignVCenter();
	afx_msg void OnUpdateTextAlignVCenter(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignBottom();
	afx_msg void OnUpdateTextAlignBottom(CCmdUI* pCmdUI);
	afx_msg void OnObjectMirrorVert();
	afx_msg void OnUpdateObjectMirrorVert(CCmdUI* pCmdUI);
	afx_msg void OnObjectMirrorHorz();
	afx_msg void OnUpdateObjectMirrorHorz(CCmdUI* pCmdUI);
	afx_msg void OnObjectRotateRight();
	afx_msg void OnUpdateObjectRotateRight(CCmdUI* pCmdUI);
	afx_msg void OnObjectRotateLeft();
	afx_msg void OnUpdateObjectRotateLeft(CCmdUI* pCmdUI);
	afx_msg void OnEditBackspace();
	afx_msg void OnUpdateEditBackspace(CCmdUI* pCmdUI);
	afx_msg void OnFilePrintPreview();
	afx_msg void OnObjectCrossSheet();
	afx_msg void OnUpdateObjectCrossSheet(CCmdUI* pCmdUI);
	afx_msg void OnEditFindText();
	afx_msg void OnUpdateEditFindText(CCmdUI* pCmdUI);
	afx_msg void OnEditReplaceText();
	afx_msg void OnUpdateEditReplaceText(CCmdUI* pCmdUI);
	afx_msg void OnOptionLayerOrder();
	afx_msg void OnUpdateOptionLayerOrder(CCmdUI* pCmdUI);
	afx_msg void OnOptionSheetOrder();
	afx_msg void OnUpdateOptionSheetOrder(CCmdUI* pCmdUI);
	afx_msg void OnOptionToolLock();
	afx_msg void OnUpdateOptionToolLock(CCmdUI* pCmdUI);
	afx_msg void OnOptionMoveInUpperLayer();
	afx_msg void OnUpdateOptionMoveInUpperLayer(CCmdUI* pCmdUI);
	afx_msg void OnOptionMoveInLowerLayer();
	afx_msg void OnUpdateOptionMoveInLowerLayer(CCmdUI* pCmdUI);
	afx_msg void OnOptionMoveInNextSheet();
	afx_msg void OnUpdateOptionMoveInNextSheet(CCmdUI* pCmdUI);
	afx_msg void OnOptionMoveInPrevSheet();
	afx_msg void OnUpdateOptionMoveInPrevSheet(CCmdUI* pCmdUI);
	afx_msg void OnEditClearSelect();
	afx_msg void OnUpdateEditClearSelect(CCmdUI* pCmdUI);
	afx_msg void OnEditFindNextText();
	afx_msg void OnUpdateEditFindNextText(CCmdUI* pCmdUI);
	afx_msg void OnEditFindPrevText();
	afx_msg void OnUpdateEditFindPrevText(CCmdUI* pCmdUI);
	afx_msg void OnEditReplaceNextText();
	afx_msg void OnUpdateEditReplaceNextText(CCmdUI* pCmdUI);
	afx_msg void OnEditReplacePrevText();
	afx_msg void OnUpdateEditReplacePrevText(CCmdUI* pCmdUI);
	afx_msg void OnEditReplaceTextAll();
	afx_msg void OnUpdateEditReplaceTextAll(CCmdUI* pCmdUI);
	afx_msg void OnTextAlignLeftright();
	afx_msg void OnUpdateTextAlignLeftright(CCmdUI* pCmdUI);
	afx_msg void OnObjectSizeToText();
	afx_msg void OnUpdateObjectSizeToText(CCmdUI* pCmdUI);
	afx_msg void OnTextRemoveFromObject();
	afx_msg void OnUpdateTextRemoveFromObject(CCmdUI* pCmdUI);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnUpdateOptionGridSnapSetup(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableInsertLine();
	afx_msg void OnUpdateObjectTableInsertLine(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableAddLine();
	afx_msg void OnUpdateObjectTableAddLine(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableInsertColumn();
	afx_msg void OnUpdateObjectTableInsertColumn(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableAddColumn();
	afx_msg void OnUpdateObjectTableAddColumn(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableDeleteLine();
	afx_msg void OnUpdateObjectTableDeleteLine(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableDeleteColumn();
	afx_msg void OnUpdateObjectTableDeleteColumn(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableMergeCell();
	afx_msg void OnUpdateObjectTableMergeCell(CCmdUI* pCmdUI);
	afx_msg void OnObjectMoveSnapLeft();
	afx_msg void OnUpdateObjectMoveSnapLeft(CCmdUI* pCmdUI);
	afx_msg void OnObjectMoveSnapUp();
	afx_msg void OnUpdateObjectMoveSnapUp(CCmdUI* pCmdUI);
	afx_msg void OnObjectMoveSnapRight();
	afx_msg void OnUpdateObjectMoveSnapRight(CCmdUI* pCmdUI);
	afx_msg void OnObjectMoveSnapDown();
	afx_msg void OnUpdateObjectMoveSnapDown(CCmdUI* pCmdUI);
	afx_msg void OnEditSelectSameKindOfObject();
	afx_msg void OnUpdateEditSelectSameKindOfObject(CCmdUI* pCmdUI);
	afx_msg void OnEditFindTextAll();
	afx_msg void OnUpdateEditFindTextAll(CCmdUI* pCmdUI);
	afx_msg void OnEditFindTextAllInSelect();
	afx_msg void OnUpdateEditFindTextAllInSelect(CCmdUI* pCmdUI);
	afx_msg void OnEditReplaceTextAllInSelect();
	afx_msg void OnUpdateEditReplaceTextAllInSelect(CCmdUI* pCmdUI);
	afx_msg void OnObjectConvertToPoly();
	afx_msg void OnUpdateObjectConvertToPoly(CCmdUI* pCmdUI);
	afx_msg void OnTextInflateFontSize();
	afx_msg void OnUpdateTextInflateFontSize(CCmdUI* pCmdUI);
	afx_msg void OnTextDeflateFontSize();
	afx_msg void OnUpdateTextDeflateFontSize(CCmdUI* pCmdUI);
	afx_msg void OnTextRotateBackgroundColor();
	afx_msg void OnUpdateTextRotateBackgroundColor(CCmdUI* pCmdUI);
	afx_msg void OnEditSelectNext();
	afx_msg void OnUpdateEditSelectNext(CCmdUI* pCmdUI);
	afx_msg void OnEditPasteOverAs();
	afx_msg void OnUpdateEditPasteOverAs(CCmdUI* pCmdUI);
	afx_msg void OnEditCopyText();
	afx_msg void OnUpdateEditCopyText(CCmdUI* pCmdUI);
	afx_msg void OnEditPasteSpecial();
	afx_msg void OnUpdateEditPasteSpecial(CCmdUI* pCmdUI);
	afx_msg void OnObjectTableSplitCell();
	afx_msg void OnUpdateObjectTableSplitCell(CCmdUI* pCmdUI);
	afx_msg void OnObjectPutTimeLabel();
	afx_msg void OnUpdateObjectPutTimeLabel(CCmdUI* pCmdUI);
	afx_msg void OnObjectTimeLabelProperty();
	afx_msg void OnUpdateObjectTimeLabelProperty(CCmdUI* pCmdUI);
	afx_msg void OnEditExchangeHeadTail();
	afx_msg void OnUpdateEditExchangeHeadTail(CCmdUI* pCmdUI);
	afx_msg void OnObjectRotate();
	afx_msg void OnUpdateObjectRotate(CCmdUI* pCmdUI);
	afx_msg void OnViewUnlinkMarkShowMode();
	afx_msg void OnUpdateViewUnlinkMarkShowMode(CCmdUI* pCmdUI);
	afx_msg void OnTextBothCodeFontBold();
	afx_msg void OnUpdateTextBothCodeFontBold(CCmdUI* pCmdUI);
	afx_msg void OnTextBothCodeFontItalic();
	afx_msg void OnUpdateTextBothCodeFontItalic(CCmdUI* pCmdUI);
	afx_msg void OnTextBothCodeFontUnderline();
	afx_msg void OnUpdateTextBothCodeFontUnderline(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg LRESULT OnImeNotify(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserToolbarDblclk(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserSetZoom256(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserLayerUpdated (WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserCurrentSheetChanged (WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserRgnRedraw (WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserUpdateViewScreenRect (WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserObjSelectChanged (WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserTextSelectChanged(WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserPursuerTextNeedInfo(WPARAM wParam, LPARAM lParam = 0);
	afx_msg LRESULT OnXbuttonup (WPARAM wParam, LPARAM lParam);
	afx_msg void OnAnyTool(UINT nCmdID);
	afx_msg void OnAnyTlcmd(UINT nCmdID);
	afx_msg void OnUpdateAnyTool(CCmdUI* pCmdUI);
	afx_msg void OnCancelSwitchingLock();
	afx_msg void OnWindowPosChanged( WINDOWPOS* lpwndpos );
//	afx_msg void OnWindowPosChanging( WINDOWPOS* lpwndpos );
	afx_msg void OnMButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMButtonUp(UINT nFlags, CPoint point);
	DECLARE_MESSAGE_MAP()
}; // class CFCDynamicDrawView.

//----- 06.03.27 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnObjectExchangeEdge();
//	afx_msg void OnUpdateObjectExchangeEdge(CCmdUI* pCmdUI);
//----- 06.03.27 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 05.07.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnTextBothCodeFontBold();
//	afx_msg void OnUpdateTextBothCodeFontBold(CCmdUI* pCmdUI);
//	afx_msg void OnTextBothCodeFontItalic();
//	afx_msg void OnUpdateTextBothCodeFontItalic(CCmdUI* pCmdUI);
//	afx_msg void OnTextBothCodeFontUnderline();
//	afx_msg void OnUpdateTextBothCodeFontUnderline(CCmdUI* pCmdUI);
//----- 05.07.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 06.03.25 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnTextFullScreenEditMode();
//	afx_msg void OnUpdateTextFullScreenEditMode(CCmdUI* pCmdUI);
//----- 06.03.25 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_MOLIPDRAWVIEW_H__0F2570EE_A510_11D2_AC0E_00C0F6B0E2D0__INCLUDED_)
